---
lang: en
title: 'API docs: authentication-jwt.refreshtoken._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.refreshtoken._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [RefreshToken](./authentication-jwt.refreshtoken.md) &gt; [(constructor)](./authentication-jwt.refreshtoken._constructor_.md)

## RefreshToken.(constructor)

Constructs a new instance of the `RefreshToken` class

<b>Signature:</b>

```typescript
constructor(data?: Partial<RefreshToken>);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  data | Partial&lt;[RefreshToken](./authentication-jwt.refreshtoken.md)<!-- -->&gt; | <i>(Optional)</i> |


